/*= <mtx329x> Include File ==================================================*/
 
/*===========================================================================*/
/*  Please do not use global variables or arrays in the include file of      */
/*  instrument drivers that will be submitted for inclusion into the         */
/*  LabWindows Instrument Driver Library.                                    */
/*===========================================================================*/

#include <vpptype.h>

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif


#define ERROR_PARAMETER1		-101
#define ERROR_PARAMETER2		-102
#define ERROR_PARAMETER3		-103
#define ERROR_PARAMETER4		-104
#define ERROR_PARAMETER5		-105

int _VI_FUNC mtx329x_init (int portCom, int IDQuery, int resetDevice);
int _VI_FUNC mtx329x_voltage (int portCom, int function, int range);
int _VI_FUNC mtx329x_current (int portCom, int function, int range);
int _VI_FUNC mtx329x_frequency (int portCom, int mode, int range);
int _VI_FUNC mtx329x_resistance (int portCom, int measure, int range);
int _VI_FUNC mtx329x_capacitance (int portCom, int range);
int _VI_FUNC mtx329x_temperature (int portCom, int unit, int sensor);
int _VI_FUNC mtx329x_filter (int portCom, int filter);
int _VI_FUNC mtx329x_impedance (int portCom, int impedance);
int _VI_FUNC mtx329x_dBmRef (int portCom, int dBmReference);
int _VI_FUNC mtx329x_WattRef (int portCom, int wattReference);
int _VI_FUNC mtx329x_measure (int portCom, double *measure);
int _VI_FUNC mtx329x_error (int portCom, char *errorMessage);
int _VI_FUNC mtx329x_close (int portCom);



#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif

/*****************************************************************************/
/*=== END INCLUDE FILE ======================================================*/
/*****************************************************************************/
